GETHOSTID(2)

NAME
gethostid, sethostid - get or set the unique identifier of the current host

SYNOPSIS
#include <unistd.h>

long gethostid(void);
int sethostid(long hostid);

DESCRIPTION
Get or set a unique 32-bit identifier for the current machine. The 32-bit identifier is intended to be unique among all UNIX systems in existence. This normally resembles the Internet address for the local machine, as returned by gethostbyname(3), and thus usually never needs to be set. The sethostid() call is restricted to the superuser. The hostid argument is stored in the file /etc/hostid.

RETURN VALUE
gethostid() returns the 32-bit identifier for the current host as set by sethostid(2).

FILES
/etc/hostid

CONFORMING TO
4.2BSD; these functions were dropped in 4.4BSD. SVr4 includes gethostid() but not sethostid(). POSIX.1-2001 specifies gethostid() but not sethostid().

SEE ALSO
hostid(1), gethostbyname(3)